<div class="front_page_section front_page_section_contacts<?php
	$festy_scheme = festy_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $festy_scheme ) && ! festy_is_inherit( $festy_scheme ) ) {
		echo ' scheme_' . esc_attr( $festy_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( festy_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( festy_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$festy_css      = '';
		$festy_bg_image = festy_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $festy_bg_image ) ) {
			$festy_css .= 'background-image: url(' . esc_url( festy_get_attachment_url( $festy_bg_image ) ) . ');';
		}
		if ( ! empty( $festy_css ) ) {
			echo ' style="' . esc_attr( $festy_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$festy_anchor_icon = festy_get_theme_option( 'front_page_contacts_anchor_icon' );
	$festy_anchor_text = festy_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $festy_anchor_icon ) || ! empty( $festy_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $festy_anchor_icon ) ? ' icon="' . esc_attr( $festy_anchor_icon ) . '"' : '' )
									. ( ! empty( $festy_anchor_text ) ? ' title="' . esc_attr( $festy_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( festy_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' festy-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$festy_css      = '';
			$festy_bg_mask  = festy_get_theme_option( 'front_page_contacts_bg_mask' );
			$festy_bg_color_type = festy_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $festy_bg_color_type ) {
				$festy_bg_color = festy_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $festy_bg_color_type ) {
				$festy_bg_color = festy_get_scheme_color( 'bg_color', $festy_scheme );
			} else {
				$festy_bg_color = '';
			}
			if ( ! empty( $festy_bg_color ) && $festy_bg_mask > 0 ) {
				$festy_css .= 'background-color: ' . esc_attr(
					1 == $festy_bg_mask ? $festy_bg_color : festy_hex2rgba( $festy_bg_color, $festy_bg_mask )
				) . ';';
			}
			if ( ! empty( $festy_css ) ) {
				echo ' style="' . esc_attr( $festy_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$festy_caption     = festy_get_theme_option( 'front_page_contacts_caption' );
			$festy_description = festy_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $festy_caption ) || ! empty( $festy_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $festy_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $festy_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $festy_caption, 'festy_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $festy_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $festy_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $festy_description ), 'festy_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$festy_content = festy_get_theme_option( 'front_page_contacts_content' );
			$festy_layout  = festy_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $festy_layout && ( ! empty( $festy_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $festy_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $festy_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $festy_content, 'festy_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $festy_layout && ( ! empty( $festy_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$festy_sc = festy_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $festy_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $festy_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					festy_show_layout( do_shortcode( $festy_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $festy_layout && ( ! empty( $festy_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
