<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package FESTY
 * @since FESTY 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$festy_copyright_scheme = festy_get_theme_option( 'copyright_scheme' );
if ( ! empty( $festy_copyright_scheme ) && ! festy_is_inherit( $festy_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $festy_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$festy_copyright = festy_get_theme_option( 'copyright' );
			if ( ! empty( $festy_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$festy_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $festy_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$festy_copyright = festy_prepare_macros( $festy_copyright );
				// Display copyright
				echo wp_kses( nl2br( $festy_copyright ), 'festy_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
