<div class="front_page_section front_page_section_googlemap<?php
	$festy_scheme = festy_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $festy_scheme ) && ! festy_is_inherit( $festy_scheme ) ) {
		echo ' scheme_' . esc_attr( $festy_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( festy_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( festy_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$festy_css      = '';
		$festy_bg_image = festy_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $festy_bg_image ) ) {
			$festy_css .= 'background-image: url(' . esc_url( festy_get_attachment_url( $festy_bg_image ) ) . ');';
		}
		if ( ! empty( $festy_css ) ) {
			echo ' style="' . esc_attr( $festy_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$festy_anchor_icon = festy_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$festy_anchor_text = festy_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $festy_anchor_icon ) || ! empty( $festy_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $festy_anchor_icon ) ? ' icon="' . esc_attr( $festy_anchor_icon ) . '"' : '' )
									. ( ! empty( $festy_anchor_text ) ? ' title="' . esc_attr( $festy_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$festy_layout = festy_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $festy_layout );
		if ( festy_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' festy-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$festy_css      = '';
			$festy_bg_mask  = festy_get_theme_option( 'front_page_googlemap_bg_mask' );
			$festy_bg_color_type = festy_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $festy_bg_color_type ) {
				$festy_bg_color = festy_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $festy_bg_color_type ) {
				$festy_bg_color = festy_get_scheme_color( 'bg_color', $festy_scheme );
			} else {
				$festy_bg_color = '';
			}
			if ( ! empty( $festy_bg_color ) && $festy_bg_mask > 0 ) {
				$festy_css .= 'background-color: ' . esc_attr(
					1 == $festy_bg_mask ? $festy_bg_color : festy_hex2rgba( $festy_bg_color, $festy_bg_mask )
				) . ';';
			}
			if ( ! empty( $festy_css ) ) {
				echo ' style="' . esc_attr( $festy_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $festy_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$festy_caption     = festy_get_theme_option( 'front_page_googlemap_caption' );
			$festy_description = festy_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $festy_caption ) || ! empty( $festy_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $festy_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $festy_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $festy_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $festy_caption, 'festy_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $festy_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $festy_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $festy_description ), 'festy_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $festy_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$festy_content = festy_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $festy_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $festy_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $festy_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $festy_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $festy_content, 'festy_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $festy_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $festy_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! festy_exists_trx_addons() ) {
						festy_customizer_need_trx_addons_message();
					} else {
						festy_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $festy_layout && ( ! empty( $festy_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
