<?php
/**
 * The template to display default site footer
 *
 * @package FESTY
 * @since FESTY 1.0.10
 */

$festy_footer_id = festy_get_custom_footer_id();
$festy_footer_meta = get_post_meta( $festy_footer_id, 'trx_addons_options', true );
if ( ! empty( $festy_footer_meta['margin'] ) ) {
	festy_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( festy_prepare_css_value( $festy_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $festy_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $festy_footer_id ) ) ); ?>
						<?php
						$festy_footer_scheme = festy_get_theme_option( 'footer_scheme' );
						if ( ! empty( $festy_footer_scheme ) && ! festy_is_inherit( $festy_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $festy_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'festy_action_show_layout', $festy_footer_id );
	?>
</footer><!-- /.footer_wrap -->
