<?php
/**
 * The template to display the background video in the header
 *
 * @package FESTY
 * @since FESTY 1.0.14
 */
$festy_header_video = festy_get_header_video();
$festy_embed_video  = '';
if ( ! empty( $festy_header_video ) && ! festy_is_from_uploads( $festy_header_video ) ) {
	if ( festy_is_youtube_url( $festy_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $festy_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php festy_show_layout( festy_get_embed_video( $festy_header_video ) ); ?></div>
		<?php
	}
}
